CVE-2017-13716

Priority
Description
The C++ symbol demangler routine in cplus-dem.c in libiberty, as
distributed in GNU Binutils 2.29, allows remote attackers to cause a denial
of service (excessive memory allocation and application crash) via a
crafted file, as demonstrated by a call from the Binary File Descriptor
(BFD) library (aka libbfd).
Notes
 sbeattie> libiberty fixes tracked in gcc project; unable to find gcc
  bug as of 2018-02-05
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):deferred (2018-02-05)
Ubuntu 14.04 LTS (Trusty Tahr):deferred (2018-02-05)
Ubuntu 16.04 LTS (Xenial Xerus):deferred (2018-02-05)
Ubuntu 18.04 LTS (Bionic Beaver):deferred (2018-02-05)
Ubuntu 18.10 (Cosmic Cuttlefish):deferred (2018-02-05)
Ubuntu 19.04 (Disco Dingo):deferred (2018-02-05)
Package
Upstream:deferred (2018-02-05)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):deferred (2018-02-05)
Ubuntu 16.04 LTS (Xenial Xerus):deferred (2018-02-05)
Ubuntu 18.04 LTS (Bionic Beaver):deferred (2018-02-05)
Ubuntu 18.10 (Cosmic Cuttlefish):deferred (2018-02-05)
Ubuntu 19.04 (Disco Dingo):deferred (2018-02-05)
More Information

Updated: 2019-01-14 21:23:45 UTC (commit 51f9b73af244ba86b9321e46e526586c25a8e060)